# form.tcl --
#
# This demonstration script creates a simple form with a bunch
# of entry widgets.
#
# SCCS: @(#) form.tcl 1.4 96/02/16 10:49:30

set w .form
catch {destroy $w}
toplevel $w
wm title $w "Packet sender"
wm iconname $w "Psend-v6"


label $w.msg -wraplength 4i -justify left -text "This application sends router advertisement packets."
pack $w.msg -side top


frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.dismiss -text Dismiss -command "destroy $w"
button $w.buttons.code -text "Send" -command "c_print $w.f1.entry"
pack $w.buttons.dismiss $w.buttons.code -side left -expand 1

frame $w.left
pack $w.left -side left -expand yes -padx 0 -pady 50 -fill both
label $w.left.l1 -text "IPv6 header"
foreach i {f1 f2 f3 f4 f5} {
    frame $w.$i -bd 2
    entry $w.$i.entry -relief sunken -width 40
    label $w.$i.label
    pack $w.$i.entry -side right
    pack $w.$i.label -side left
}
$w.f1.label config -text Source:
$w.f2.label config -text Target:
$w.f3.label config -text Other1:
$w.f4.label config -text Other2:
$w.f5.label config -text Other3:
pack $w.msg $w.left.l1 $w.f1 $w.f2 $w.f3 $w.f4 $w.f5 -side top -fill x


label $w.left.l2 -text "ICMPv6 header"
foreach i {f6 f7 f8 f9 f10} {
    frame $w.$i -bd 2
    entry $w.$i.entry -relief sunken -width 40
    label $w.$i.label
    pack $w.$i.entry -side right
    pack $w.$i.label -side left
}
$w.f6.label config -text Source:
$w.f7.label config -text Target:
$w.f8.label config -text Other1:
$w.f9.label config -text Other2:
$w.f10.label config -text Other3:
pack $w.left.l2 $w.f6 $w.f7 $w.f8 $w.f9 $w.f10 -side top -fill x
bind $w <Return> "destroy $w"
focus $w.f1.entry

